/*********************************************************************************
Disclaimer:
----------------------
LICENSE:
    SpritED is licensed under the GPL (http://www.gnu.org/licenses/gpl.txt)
    For further details concerning usage, modification and distribution issues,
    check the  GNU website or check the verbatim copy of the license included with this
    package.

WARRANTY:
    SpritED is provided WITHOUT ANY KIND OF WARRANTY. Damnsoft development team
    or any member of it have no responsibility about any damage made
    to you, or your computer and/or peripherals after/while/before using this
    program. Damnsoft is not guilty if your computer explodes, disappears and/or
    starts talking to you or otherwise your dog leaves home, your daughter's
    boyfriend gets involved on a crime, your wife is arrested, your boss
    reduce your salary payment or any event on your -or mankind- lifetime.

    Elias Zacarias.                       Copyleft (C) 2003 - 2004 Damnsoft
**********************************************************************************
** FILTERLIB.H: Function Prototypes for SpritED Filter Development Library.     **
**********************************************************************************/
#include "..\sfpcore.h"

void _stdcall cstructrst(struct config_api *cstruct);
short int _stdcall get_totall(struct config_api *cstruct);
short int _stdcall get_totals(struct config_api *cstruct);
void _stdcall get_slabel(struct config_api *cstruct, short int ndx, char *buff);
void _stdcall get_llabel(struct config_api *cstruct, short int ndx, char *buff);
void _stdcall get_string(struct config_api *cstruct, short int ndx, char *buff);
void _stdcall set_string(struct config_api *cstruct, short int ndx, char *str);
void _stdcall set_selected(struct config_api *cstruct, short int ndx, int lindex);
short int _stdcall get_selected(struct config_api *cstruct, short int lindex);
short int _stdcall get_totalops(struct config_api *cstruct, short int lindex);
void _stdcall get_option(struct config_api *cstruct, short int l,short int ndx, char *buff);

/*************** Non exportable functions ****************************************/
int getxy(short int w, short int h, short int l, short int x, short int y);
void plotpx(char *stream, struct sprite_nfo *si, int l, int x, int y, int bit);
int getpx(char *stream, struct sprite_nfo *si, int l, int x, int y);
void list_init(struct list_type *l, char *name, int defsel);
int add_spara(struct config_api *cstruct, char *lbl, char *defval);
int add_listop(struct list_type *ldest, char *option);
int add_lpara(struct config_api  *cstruct, struct list_type l);



#define E_NO_ERRORS		0
#define E_LIMIT_REACHED		250
#define E_STRING_TOO_LONG	240